TransformMetaMethod (Groovy 3.0.9)

Package org.codehaus.groovy.runtime.metaclass

## Class TransformMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.metaclass.TransformMetaMethod

- All Implemented Interfaces:
    `Cloneable`

      public class TransformMetaMethod
      extends MetaMethod

  A MetaMethod implementation useful for implementing coercion based invocations

- - ### Field Summary

    - ### Fields inherited from class groovy.lang.MetaMethod

      `EMPTY_ARRAY`

    - ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransformMetaMethod​(MetaMethod metaMethod)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `doMethodInvoke​(Object object, Object[] arguments)` | Invokes the method this object represents.
    `CachedClass` | `getDeclaringClass()` | Gets the class where this method is declared
    `int` | `getModifiers()` | Returns the modifiers for this method
    `String` | `getName()` | Returns the name of the method represented by this class
    `Class` | `getReturnType()` | Access the return type for this method
    `Object` | `invoke​(Object object, Object[] arguments)` | Invoke this method

    - ### Methods inherited from class groovy.lang.MetaMethod

      `checkParameters, clone, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

    - ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformMetaMethod

          public TransformMetaMethod​(MetaMethod metaMethod)

  - ### Method Detail

    - #### getModifiers

          public int getModifiers()

      Description copied from class: `MetaMethod`
      Returns the modifiers for this method
      Specified by:
        `getModifiers` in class `MetaMethod`
      Returns:
        modifiers as an int.

    - #### getName

          public String getName()

      Description copied from class: `MetaMethod`
      Returns the name of the method represented by this class
      Specified by:
        `getName` in class `MetaMethod`
      Returns:
        name of this method

    - #### getReturnType

          public Class getReturnType()

      Description copied from class: `MetaMethod`
      Access the return type for this method
      Specified by:
        `getReturnType` in class `MetaMethod`
      Returns:
        the return type of this method

    - #### getDeclaringClass

          public CachedClass getDeclaringClass()

      Description copied from class: `MetaMethod`
      Gets the class where this method is declared
      Specified by:
        `getDeclaringClass` in class `MetaMethod`
      Returns:
        class of this method

    - #### invoke

          public Object invoke​(Object object,
                               Object[] arguments)

      Description copied from class: `MetaMethod`
      Invoke this method
      Specified by:
        `invoke` in class `MetaMethod`
      Parameters:
        `object` - The object this method should be invoked on
        `arguments` - The arguments for the method if applicable
      Returns:
        The return value of the invocation

    - #### doMethodInvoke

          public Object doMethodInvoke​(Object object,
                                       Object[] arguments)

      Description copied from class: `MetaMethod`
      Invokes the method this object represents. This method is not final but it should be overloaded very carefully and only by generated methods there is no guarantee that it will be called
      Overrides:
        `doMethodInvoke` in class `MetaMethod`
      Parameters:
        `object` - The object the method is to be called at.
        `arguments` - Arguments for the method invocation.
      Returns:
        The return value of the invoked method.